VCF-CONTRAST(1)

NAME
vcf-contrast - finds differences amongst samples

SYNOPSIS
vcf-contrast +<list> -<list> [OPTIONS] file.vcf.gz

DESCRIPTION
About: Finds differences amongst samples adding NOVEL* annotation to INFO field.

OPTIONS

+<list>
    List of samples where unique variant is expected

-<list>
    List of background samples

-d, --min-DP <int>
    Minimum depth across all -<list> samples

-f, --apply-filters
    Skip sites with FILTER column different from PASS or "."

-n, --novel-sites
    Print only records with novel genotypes

-h, -?, --help
    This help message.

  Example:

    # Test if any of the samples A,B is different from all C,D,E vcf-contrast +A,B -C,D,E -m file.vcf.gz

    # Same as above but printing only sites with novel variants and table output vcf-contrast -n +A,B -C,D,E -m file.vcf.gz | vcf-query -f '%CHROM %POS\t%INFO/NOVELTY\t%INFO/NOVELAL\t%INFO/NOVELGT[\t%SAMPLE %GTR %PL]\n'

    # Similar to above but require minimum mapping quality of 20 vcf-annotate -f MinMQ=20 file.vcf.gz | vcf-contrast +A,B,C -D,E,F -f